﻿using Connected.Entities;

namespace Connected.Data.EntityProtection;
public sealed class EntityProtectionArgs<TEntity> : EventArgs
{
	public EntityProtectionArgs(TEntity entity, State state)
	{
		Entity = entity;
		State = state;
	}

	public TEntity Entity { get; }
	public State State { get; }
}
