﻿using Connected.Entities.Storage;

namespace Connected.Data.Schema.Sql;

internal sealed class SchemaStorageArgs : StorageContextArgs, ISchemaSynchronizationContext
{
	public SchemaStorageArgs(IStorageOperation operation, Type connectionType, string connectionString) : base(operation)
	{
		ConnectionType = connectionType;
		ConnectionString = connectionString;
	}

	public Type ConnectionType { get; }
	public string ConnectionString { get; }
}
